#pragma once
#include <Array.h>
#include "RecipieList.h"

class RecipieLoader : public virtual Framework::ReferenceCounter
{
private:
    Framework::RCArray<RecipieList> lists;
    Framework::RCArray<ShapedRecipieList> shapedLists;

public:
    RecipieLoader();
    void loadRecipies( const char* path );
    RecipieList* zRecipieList( const char* name );
    ShapedRecipieList* zShapedRecipieList( const char* name );
    void registerRecipieList( const char* name );
    void registerShapedRecipieList( const char* name );
};